## org.apache.xml.serialize
Class LineSeparator

    java.lang.Object
      org.apache.xml.serialize.LineSeparator

    public final class LineSeparator

extends java.lang.Object

Version:
  $Revision: 319808 $ $Date: 2004-02-24 18:34:05 -0500 (Tue, 24 Feb 2004) $
Author:
  Assaf Arkin
See Also:
  `OutputFormat`

Field Summary
`static java.lang.String` `Macintosh` Line separator for Macintosh systems (`\r`).
`static java.lang.String` `Unix` Line separator for Unix systems (`\n`).
`static java.lang.String` `Web` Line separator for the Web (`\n`).
`static java.lang.String` `Windows` Line separator for Windows systems (`\r\n`).

Constructor Summary
`LineSeparator()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Unix

    public static final java.lang.String Unix

  Line separator for Unix systems (`\n`).

  See Also:
    Constant Field Values

### Windows

    public static final java.lang.String Windows

  Line separator for Windows systems (`\r\n`).

  See Also:
    Constant Field Values

### Macintosh

    public static final java.lang.String Macintosh

  Line separator for Macintosh systems (`\r`).

  See Also:
    Constant Field Values

### Web

    public static final java.lang.String Web

  Line separator for the Web (`\n`).

  See Also:
    Constant Field Values

Constructor Detail

### LineSeparator

    public LineSeparator()

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.